Skip to main content

Takeover Protection (SIM Swap)

As part of CM.com's Takeover Protection measures, the Mobile Identity Services offer the option to detect a SIM swap. With this service you can check the last time the SIM of a provided phone number was swapped. SIM Swap has two different responses, depending on the serviceType in the request provided through the API.

  • timestamp: Returns a time in date-time format specifying the last time the SIM was swapped for the provided phone number.
  • 24h: Returns true or false depending on if the phone number has had their SIM swapped in the past 24 hours.

Request​

Request
POST https://api.cm.com/mobile-identity/v1/sim-swap
Request headers
Content-Type: application/json
Authorization: Bearer GENERATED_TOKEN_HERE
Request body
{
"phoneNumber": "+31612345678",
"serviceType": "timestamp"
}

Parameters​

PropertyTypeRequiredDescription
phoneNumberstringYesThe phone number to be checked. This must be a valid phone number in E.164 format.
serviceTypestringYesThe type of SIM Swap response to be retrieved. Available options are timestamp and 24h.

Response​

Depending on the serviceType provided in the request, the response is different.

Response body
{
"state": "success",
"timestamp": "2026-01-01T00:00:00Z"
}

Parameters​

Only one of the following properties will be returned.

PropertyExampleDescription
timestamp'2026-01-01T00:00:00Z'Date and time of the last SIM Swap in ISO 8601 format.
24hfalsetrue or false regarding whether the last SIM swap took place in the last 24 hours.